aboutsummaryrefslogtreecommitdiff
path: root/base/memstat/memstat.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'base/memstat/memstat.SlackBuild')
-rwxr-xr-xbase/memstat/memstat.SlackBuild81
1 files changed, 81 insertions, 0 deletions
diff --git a/base/memstat/memstat.SlackBuild b/base/memstat/memstat.SlackBuild
new file mode 100755
index 0000000..a195445
--- /dev/null
+++ b/base/memstat/memstat.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=memstat
+VERSION=0.5
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=${PKGNAME}-${PKGVER}
+ARCHIVE=${PKGNAME}_${PKGVER}.tar.gz
+REPOSITORY=http://ftp.de.debian.org/debian/pool/main/m/memstat
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-makefile.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-config.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-slackware.patch.bz2 | patch -p1 -s
+make OPTS="${FLAGS}" sysconfdir="/etc/conf.d"
+
+# Install
+make install DESTDIR=$PKG sysconfdir="/etc/conf.d" mandir="/usr/man"
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+memstat: memstat (Identify what's using up virtual memory)
+memstat:
+memstat: Lists all the processes, executables, and shared libraries that are
+memstat: using up virtual memory. It's helpful to see how the shared memory
+memstat: is used and which 'old' libs are loaded.
+memstat:
+memstat:
+memstat:
+memstat:
+memstat:
+memstat:
+EOF
+
+install -m644 -g0 -o0 memstat-tutorial.txt \
+ $PKG/usr/doc/$NAME-$VERSION
+
+mv $PKG/etc/conf.d/memstat.conf \
+ $PKG/etc/conf.d/memstat.conf.new
+
+install -m 0755 -g 0 -o 0 doinst.sh $PKG/install
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz